Support » Plugin: YouTube Embed » [Plugin: Artiss YouTube Embed] Problems with v 2.5.5 & WP Multisite 3.4.1

  • Resolved jcrens8392

    (@jcrens8392)


    Only use this on multisite setups, but the new version (2.5.5) appears to be causing issues. It won’t display any videos and sometimes displays this error at the top of the post content:

    Warning: array_key_exists() [function.array-key-exists]: The second argument should be either an array or an object in /home/user/public_html/somedomain.com/wp-content/plugins/youtube-embed/includes/aye-set-defaults.php on line 164

    http://wordpress.org/extend/plugins/youtube-embed/

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author David Artiss

    (@dartiss)

    Thanks for letting me know. I can see the problem and will get it fixed.

    In the meantime if you stick with 2.5.4 then you should be fine.

    I don’t have a multi-site installation to test on so if you’d like to try the fix before I release it please contact me via my site (http://www.artiss.co.uk/contact).

    David.

    Okay. Happy to test it. Just sent a message through your contact form but didn’t see a confirmation as to whether it went through or not. Let me now if you don’t receive it.

    Plugin Author David Artiss

    (@dartiss)

    It didn’t turn up – you should get a confirmation at the bottom.

    David.

    Ah..it said: “Failed to send your message. Please try later or contact me another way.”

    Plugin Author David Artiss

    (@dartiss)

    Ok, download the following and put it in the youtube-embed/includes plugin folder. Hopefully it should fix the issue…

    https://dl.dropbox.com/u/61522/aye-set-defaults.php

    David.

    Okay, that appears to have gotten rid of the error message, but the video now has width=0 on the iFrame element (haven’t tried others). It looks like the empty width field in the profile ends up as a 0 on the width output. Not sure where that code is to fix though.

    John
    [ Signature moderated. ]

    Plugin Author David Artiss

    (@dartiss)

    That may be a result of running 2.5.5, as it may have set that as a default. I certainly can’t see anything wrong with the code that would mean it would set it to zero otherwise – by default it will use the global parameter content_width if you have that set. Of course, if you have that set to zero that would explain it 😉

    If you go into the Profiles admin option you should be able to set this to correct size.

    David.

    Plugin Author David Artiss

    (@dartiss)

    The width issue is now fixed in 2.6

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘[Plugin: Artiss YouTube Embed] Problems with v 2.5.5 & WP Multisite 3.4.1’ is closed to new replies.